
#ifndef LIBC_SYMBOLS
#define LIBC_SYMBOLS \
SF(abort),\
SF(abs),\
SF(accept),\
SF(access),\
SF(acct),\
SF(addmntent),\
SF(adjtime),\
SF(adjtimex),\
SF(alarm),\
SF(alphasort),\
SD(altzone),\
SF(argz_add),\
SF(argz_append),\
SF(argz_count),\
SF(argz_create_sep),\
SF(argz_stringify),\
SF(asctime),\
SF(asctime_r),\
SF(asprintf),\
SF(atexit),\
SF(atof),\
SF(atoi),\
SF(atol),\
SF(authdes_create),\
SF(authdes_getucred),\
SF(authnone_create),\
SF(authunix_create),\
SF(authunix_create_default),\
SF(basename),\
SF(bcmp),\
SF(bcopy),\
SF(bind),\
SF(bindresvport),\
SF(brk),\
SF(bsearch),\
SF(btowc),\
SF(bzero),\
SF(calloc),\
SF(callrpc),\
SF(catclose),\
SF(catgets),\
SF(catopen),\
SF(cbc_crypt),\
SF(cfgetispeed),\
SF(cfgetospeed),\
SF(cfmakeraw),\
SF(cfree),\
SF(cfsetispeed),\
SF(cfsetospeed),\
SF(chdir),\
SF(chmod),\
SF(chown),\
SF(chroot),\
SF(clearerr),\
SF(clnt_broadcast),\
SF(clnt_create),\
SF(clnt_pcreateerror),\
SF(clnt_perrno),\
SF(clnt_perror),\
SF(clnt_spcreateerror),\
SF(clnt_sperrno),\
SF(clnt_sperror),\
SF(clntraw_create),\
SF(clnttcp_create),\
SF(clntudp_bufcreate),\
SF(clntudp_create),\
SF(clock),\
SF(close),\
SF(closedir),\
SF(closelog),\
SF(confstr),\
SF(connect),\
SF(creat),\
SF(crypt),\
SF(ctermid),\
SF(ctime),\
SF(ctime_r),\
SF(cuserid),\
SD(daylight),\
SF(des_setparity),\
SF(difftime),\
SF(dirfd),\
SF(div),\
SF(dn_comp),\
SF(dn_expand),\
SF(dn_skipname),\
SF(drand48),\
SF(dup),\
SF(dup2),\
SF(ecb_crypt),\
SF(ecvt),\
SF(encrypt),\
SF(endgrent),\
SF(endhostent),\
SF(endmntent),\
SF(endnetent),\
SF(endnetgrent),\
SF(endprotoent),\
SF(endpwent),\
SF(endrpcent),\
SF(endservent),\
SF(endsgent),\
SF(endspent),\
SF(endusershell),\
SF(endutent),\
SF(environ),\
SF(erand48),\
SF(err),\
SF(errno),\
SF(errx),\
SF(execl),\
SF(execle),\
SF(execlp),\
SF(execv),\
SF(execve),\
SF(execvp),\
SF(exit),\
SF(fchdir),\
SF(fchmod),\
SF(fchown),\
SF(fclose),\
SF(fcntl),\
SF(fcrypt),\
SF(fcvt),\
SF(fdatasync),\
SF(fdopen),\
SF(feof),\
SF(ferror),\
SF(fflush),\
SF(ffs),\
SF(fgetc),\
SF(fgetgrent),\
SF(fgetpos),\
SF(fgetpwent),\
SF(fgets),\
SF(fgetsgent),\
SF(fgetspent),\
SF(fileno),\
SF(flock),\
SF(flockfile),\
SF(fnmatch),\
SF(fopen),\
SF(fork),\
SF(fp_nquery),\
SF(fp_query),\
SF(fp_resstat),\
SF(fpathconf),\
SF(fprintf),\
SF(fputc),\
SF(fputs),\
SF(fread),\
SF(free),\
SF(freopen),\
SF(frexp),\
SF(fscanf),\
SF(fseek),\
SF(fsetpos),\
SF(fstat),\
SF(fstatfs),\
SF(fsync),\
SF(ftell),\
SF(ftime),\
SF(ftok),\
SF(ftruncate),\
SF(ftrylockfile),\
SF(ftw),\
SF(funlockfile),\
SF(fwrite),\
SF(gcvt),\
SF(get_current_dir_name),\
SF(get_myaddress),\
SF(getc),\
SF(getchar),\
SF(getcwd),\
SF(getdelim),\
SF(getdents),\
SF(getdirentries),\
SF(getdomainname),\
SF(getdtablesize),\
SF(getegid),\
SF(getenv),\
SF(geteuid),\
SF(getgid),\
SF(getgrent),\
SF(getgrgid),\
SF(getgrnam),\
SF(getgroups),\
SF(gethostbyaddr),\
SF(gethostbyname),\
SF(gethostent),\
SF(gethostid),\
SF(gethostname),\
SF(getitimer),\
SF(getlogin),\
SF(getmntent),\
SF(getnetbyaddr),\
SF(getnetbyname),\
SF(getnetent),\
SF(getnetgrent),\
SF(getnetname),\
SF(getopt),\
SF(getopt_long),\
SF(getopt_long_only),\
SF(getpagesize),\
SF(getpass),\
SF(getpeername),\
SF(getpgid),\
SF(getpgrp),\
SF(getpid),\
SF(getppid),\
SF(getpriority),\
SF(getprotobyname),\
SF(getprotobynumber),\
SF(getprotoent),\
SF(getpublickey),\
SF(getpw),\
SF(getpwent),\
SF(getpwnam),\
SF(getpwuid),\
SF(getrlimit),\
SF(getrpcbyname),\
SF(getrpcbynumber),\
SF(getrpcent),\
SF(getrpcport),\
SF(getrusage),\
SF(gets),\
SF(getsecretkey),\
SF(getservbyname),\
SF(getservbyport),\
SF(getservent),\
SF(getsgent),\
SF(getsgnam),\
SF(getsid),\
SF(getsockname),\
SF(getsockopt),\
SF(getspent),\
SF(getspnam),\
SF(gettimeofday),\
SF(getuid),\
SF(getusershell),\
SF(getutent),\
SF(getutid),\
SF(getutline),\
SF(getw),\
SF(getwd),\
SF(glob),\
SF(globfree),\
SF(gmtime),\
SF(gmtime_r),\
SF(gsignal),\
SD(h_errlist),\
SF(h_errno),\
SD(h_nerr),\
SF(hasmntopt),\
SF(hcreate),\
SF(hdestroy),\
SF(herror),\
SF(host2netname),\
SF(hostalias),\
SF(hsearch),\
SF(htonl),\
SF(htons),\
SF(idle),\
SF(index),\
SF(inet_addr),\
SF(inet_aton),\
SF(inet_lnaof),\
SF(inet_makeaddr),\
SF(inet_netof),\
SF(inet_network),\
SF(inet_nsap_addr),\
SF(inet_nsap_ntoa),\
SF(inet_ntoa),\
SF(init_des),\
SF(initgroups),\
SF(initstate),\
SF(innetgr),\
SF(insque),\
SF(ioctl),\
SF(ioperm),\
SF(iopl),\
SF(ipc),\
SF(isalnum),\
SF(isalpha),\
SF(isascii),\
SF(isatty),\
SF(isblank),\
SF(iscntrl),\
SF(isdigit),\
SF(isgraph),\
SF(isinf),\
SF(isinfl),\
SF(islower),\
SF(isnan),\
SF(isnanl),\
SF(isprint),\
SF(ispunct),\
SF(isspace),\
SF(isupper),\
SF(iswalnum),\
SF(iswalpha),\
SF(iswcntrl),\
SF(iswctype),\
SF(iswdigit),\
SF(iswgraph),\
SF(iswlower),\
SF(iswprint),\
SF(iswpunct),\
SF(iswspace),\
SF(iswupper),\
SF(iswxdigit),\
SF(isxdigit),\
SF(jrand48),\
SF(key_decryptsession),\
SF(key_decryptsession_pk),\
SF(key_encryptsession),\
SF(key_encryptsession_pk),\
SF(key_gendes),\
SF(key_get_conv),\
SF(key_secretkey_is_set),\
SF(key_setnet),\
SF(key_setsecret),\
SF(kill),\
SF(killpg),\
SF(labs),\
SF(lckpwdf),\
SF(lcong48),\
SF(ldexp),\
SF(ldiv),\
SF(lfind),\
SF(libc_nls_init),\
SF(link),\
SF(listen),\
SF(llseek),\
SF(localeconv),\
SF(localtime),\
SF(localtime_r),\
SF(lockf),\
SF(longjmp),\
SF(lrand48),\
SF(lsearch),\
SF(lseek),\
SF(lstat),\
SF(mallinfo),\
SF(malloc),\
SF(malloc_stats),\
SF(malloc_trim),\
SF(malloc_usable_size),\
SF(mallopt),\
SF(mblen),\
SF(mbrlen),\
SF(mbrtowc),\
SF(mbsinit),\
SF(mbsrtowcs),\
SF(mbstowcs),\
SF(mbtowc),\
SF(memalign),\
SF(memccpy),\
SF(memchr),\
SF(memcmp),\
SF(memcpy),\
SF(memfrob),\
SF(memmem),\
SF(memmove),\
SF(memset),\
SF(mkdir),\
SF(mkfifo),\
SF(mknod),\
SF(mkstemp),\
SF(mktemp),\
SF(mktime),\
SF(mlock),\
SF(mlockall),\
SF(mmap),\
SF(modf),\
SF(mount),\
SF(mprotect),\
SF(mrand48),\
SF(mremap),\
SF(msgctl),\
SF(msgget),\
SF(msgrcv),\
SF(msgsnd),\
SF(msync),\
SF(munlock),\
SF(munlockall),\
SF(munmap),\
SF(nanosleep),\
SF(netname2host),\
SF(netname2user),\
SF(nice),\
SF(nl_langinfo),\
SF(nrand48),\
SF(ntohl),\
SF(ntohs),\
SF(obstack_free),\
SF(old_readdir_r),\
SF(on_exit),\
SF(open),\
SF(opendir),\
SF(openlog),\
SD(optarg),\
SD(opterr),\
SD(optind),\
SD(optopt),\
SF(p_cdname),\
SF(p_cdnname),\
SF(p_class),\
SF(p_fqname),\
SF(p_option),\
SF(p_query),\
SF(p_rr),\
SF(p_time),\
SF(p_type),\
SF(parse_printf_format),\
SF(passwd2des),\
SF(pathconf),\
SF(pause),\
SF(pclose),\
SF(perror),\
SF(pipe),\
SF(pmap_getmaps),\
SF(pmap_getport),\
SF(pmap_rmtcall),\
SF(pmap_set),\
SF(pmap_unset),\
SF(popen),\
SF(prev_fstat),\
SF(prev_lstat),\
SF(prev_mknod),\
SF(prev_stat),\
SF(prev_ustat),\
SF(printf),\
SD(program_invocation_name),\
SD(program_invocation_short_name),\
SF(psignal),\
SF(pthread_cond_broadcast),\
SF(pthread_cond_destroy),\
SF(pthread_cond_init),\
SF(pthread_cond_signal),\
SF(pthread_cond_wait),\
SF(pthread_equal),\
SF(pthread_mutex_destroy),\
SF(pthread_mutex_init),\
SF(pthread_mutex_lock),\
SF(pthread_mutex_unlock),\
SF(pthread_once),\
SF(pthread_self),\
SF(pthread_yield),\
SF(ptrace),\
SF(putc),\
SF(putchar),\
SF(putenv),\
SF(putlong),\
SF(putpwent),\
SF(puts),\
SF(putsgent),\
SF(putshort),\
SF(putspent),\
SF(pututline),\
SF(putw),\
SF(pvalloc),\
SF(qsort),\
SF(raise),\
SF(rand),\
SF(random),\
SF(rcmd),\
SF(re_comp),\
SF(re_compile_fastmap),\
SF(re_compile_pattern),\
SD(re_error_msg),\
SF(re_exec),\
SF(re_match),\
SF(re_match_2),\
SF(re_rx_search),\
SF(re_search),\
SF(re_search_2),\
SF(re_set_registers),\
SF(re_set_syntax),\
SD(re_syntax_options),\
SF(read),\
SF(readdir),\
SF(readdir_r),\
SF(readlink),\
SF(readv),\
SF(realloc),\
SF(realpath),\
SF(reboot),\
SF(recv),\
SF(recvfrom),\
SF(recvmsg),\
SF(regcomp),\
SF(regerror),\
SF(regexec),\
SF(regfree),\
SF(register_printf_function),\
SF(registerrpc),\
SF(remove),\
SF(remque),\
SF(rename),\
SF(res_init),\
SF(res_isourserver),\
SF(res_mkquery),\
SF(res_nameinquery),\
SF(res_queriesmatch),\
SF(res_query),\
SF(res_querydomain),\
SF(res_randomid),\
SF(res_search),\
SF(res_send),\
SF(res_send_setqhook),\
SF(res_send_setrhook),\
SF(rewind),\
SF(rewinddir),\
SF(rexec),\
SF(rexecoptions),\
SF(rindex),\
SF(rmdir),\
SD(rpc_createerr),\
SF(rresvport),\
SF(rtime),\
SF(ruserok),\
SF(ruserpass),\
SD(rx_cache_bound),\
SD(rx_error_msg),\
SD(rx_id_instruction_table),\
SD(rx_id_translation),\
SD(rx_slowmap),\
SD(rx_version_string),\
SF(sbrk),\
SF(scandir),\
SF(scanf),\
SF(sched_get_priority_max),\
SF(sched_get_priority_min),\
SF(sched_getparam),\
SF(sched_getscheduler),\
SF(sched_rr_get_interval),\
SF(sched_setparam),\
SF(sched_setscheduler),\
SF(sched_yield),\
SF(seed48),\
SF(seekdir),\
SF(select),\
SF(semctl),\
SF(semget),\
SF(semop),\
SF(send),\
SF(sendmsg),\
SF(sendto),\
SF(setbuf),\
SF(setbuffer),\
SF(setdomainname),\
SF(setegid),\
SF(setenv),\
SF(seteuid),\
SF(setfileno),\
SF(setfsgid),\
SF(setfsuid),\
SF(setgid),\
SF(setgrent),\
SF(setgroups),\
SF(sethostent),\
SF(sethostfile),\
SF(sethostid),\
SF(sethostname),\
SF(setitimer),\
SF(setkey),\
SF(setlinebuf),\
SF(setlocale),\
SF(setlogmask),\
SF(setmntent),\
SF(setnetent),\
SF(setnetgrent),\
SF(setpgid),\
SF(setpgrp),\
SF(setpriority),\
SF(setprotoent),\
SF(setpwent),\
SF(setregid),\
SF(setreuid),\
SF(setrlimit),\
SF(setrpcent),\
SF(setservent),\
SF(setsgent),\
SF(setsid),\
SF(setsockopt),\
SF(setspent),\
SF(setstate),\
SF(settimeofday),\
SF(setuid),\
SF(setusershell),\
SF(setutent),\
SF(setvbuf),\
SF(sgetsgent),\
SF(sgetspent),\
SF(shmat),\
SF(shmctl),\
SF(shmdt),\
SF(shmget),\
SF(shutdown),\
SF(sigaction),\
SF(sigaddset),\
SF(sigblock),\
SF(sigdelset),\
SF(sigemptyset),\
SF(sigfillset),\
SF(siggetmask),\
SF(siginterrupt),\
SF(sigismember),\
SF(siglongjmp),\
SF(signal),\
SF(sigpause),\
SF(sigpending),\
SF(sigprocmask),\
SF(sigsetmask),\
SF(sigsuspend),\
SF(sleep),\
SF(snprintf),\
SF(socket),\
SF(socketcall),\
SF(socketpair),\
SF(sprintf),\
SF(srand),\
SF(srand48),\
SF(srandom),\
SF(sscanf),\
SF(ssignal),\
SF(stat),\
SF(statfs),\
SD(stderr),\
SD(stdin),\
SD(stdout),\
SF(stime),\
SF(stpcpy),\
SF(stpncpy),\
SF(strcasecmp),\
SF(strcat),\
SF(strchr),\
SF(strcmp),\
SF(strcoll),\
SF(strcpy),\
SF(strcspn),\
SF(strdup),\
SF(strerror),\
SF(strfry),\
SF(strftime),\
SF(strlen),\
SF(strncasecmp),\
SF(strncat),\
SF(strncmp),\
SF(strncpy),\
SF(strpbrk),\
SF(strptime),\
SF(strrchr),\
SF(strsep),\
SF(strsignal),\
SF(strspn),\
SF(strstr),\
SF(strtod),\
SF(strtof),\
SF(strtok),\
SF(strtol),\
SF(strtold),\
SF(strtoq),\
SF(strtoul),\
SF(strtouq),\
SF(strxfrm),\
SF(svc_exit),\
SD(svc_fdset),\
SF(svc_getreq),\
SF(svc_getreqset),\
SF(svc_register),\
SF(svc_run),\
SF(svc_sendreply),\
SF(svc_unregister),\
SF(svcauthdes_stats),\
SF(svcerr_auth),\
SF(svcerr_decode),\
SF(svcerr_noproc),\
SF(svcerr_noprog),\
SF(svcerr_progvers),\
SF(svcerr_systemerr),\
SF(svcerr_weakauth),\
SF(svcfd_create),\
SF(svcraw_create),\
SF(svctcp_create),\
SF(svcudp_bufcreate),\
SF(svcudp_create),\
SF(svcudp_enablecache),\
SF(swab),\
SF(swapoff),\
SF(swapon),\
SF(symlink),\
SF(sync),\
SF(sys_errlist),\
SF(sys_nerr),\
SF(sys_siglist),\
SF(syscall),\
SF(syscall_flock),\
SF(syscall_readv),\
SF(syscall_writev),\
SF(sysconf),\
SF(sysctl),\
SF(sysinfo),\
SF(syslog),\
SF(system),\
SF(tcdrain),\
SF(tcflow),\
SF(tcflush),\
SF(tcgetattr),\
SF(tcgetpgrp),\
SF(tcsendbreak),\
SF(tcsetattr),\
SF(tcsetpgrp),\
SF(tdelete),\
SF(tell),\
SF(telldir),\
SF(tempnam),\
SF(tfind),\
SF(time),\
SF(timegm),\
SF(times),\
SD(timezone),\
SF(tmpfile),\
SF(tmpnam),\
SF(toascii),\
SF(tolower),\
SF(toupper),\
SF(towctrans),\
SF(towlower),\
SF(towupper),\
SF(truncate),\
SF(tsearch),\
SF(ttyname),\
SF(ttyname_r),\
SF(twalk),\
SD(tzname),\
SF(tzset),\
SF(tzsetwall),\
SF(ufc_dofinalperm),\
SF(ufc_doit),\
SF(ufc_keytab),\
SF(ufc_sb0),\
SF(ufc_sb1),\
SF(ufc_sb2),\
SF(ufc_sb3),\
SF(ulckpwdf),\
SF(ulimit),\
SF(umask),\
SF(umount),\
SF(uname),\
SF(ungetc),\
SF(unlink),\
SF(unsetenv),\
SF(uselib),\
SF(user2netname),\
SF(usleep),\
SF(ustat),\
SF(utime),\
SF(utimes),\
SF(utmpname),\
SF(valloc),\
SF(vasprintf),\
SF(verr),\
SF(verrx),\
SF(vfork),\
SF(vfprintf),\
SF(vfscanf),\
SF(vhangup),\
SF(vm86),\
SF(vm86old),\
SF(vprintf),\
SF(vscanf),\
SF(vsnprintf),\
SF(vsprintf),\
SF(vsscanf),\
SF(vsyslog),\
SF(vwarn),\
SF(vwarnx),\
SF(wait),\
SF(wait3),\
SF(wait4),\
SF(waitpid),\
SF(warn),\
SF(warnx),\
SF(wcrtomb),\
SF(wcscat),\
SF(wcschr),\
SF(wcscmp),\
SF(wcscpy),\
SF(wcscspn),\
SF(wcsdup),\
SF(wcslen),\
SF(wcsncat),\
SF(wcsncmp),\
SF(wcsncpy),\
SF(wcspbrk),\
SF(wcsrchr),\
SF(wcsrtombs),\
SF(wcsspn),\
SF(wcsstr),\
SF(wcstok),\
SF(wcstombs),\
SF(wctob),\
SF(wctomb),\
SF(wctrans),\
SF(wctype),\
SF(wmemchr),\
SF(wmemcmp),\
SF(wmemcpy),\
SF(wmemmove),\
SF(wmemset),\
SF(write),\
SF(writev),\
SF(xdecrypt),\
SF(xdr_accepted_reply),\
SF(xdr_array),\
SF(xdr_authdes_cred),\
SF(xdr_authdes_verf),\
SF(xdr_authunix_parms),\
SF(xdr_bool),\
SF(xdr_bytes),\
SF(xdr_callhdr),\
SF(xdr_callmsg),\
SF(xdr_char),\
SF(xdr_cryptkeyarg),\
SF(xdr_cryptkeyarg2),\
SF(xdr_cryptkeyres),\
SF(xdr_des_block),\
SF(xdr_domainname),\
SF(xdr_double),\
SF(xdr_enum),\
SF(xdr_float),\
SF(xdr_free),\
SF(xdr_getcredres),\
SF(xdr_int),\
SF(xdr_key_netstarg),\
SF(xdr_key_netstres),\
SF(xdr_keybuf),\
SF(xdr_keydat),\
SF(xdr_keystatus),\
SF(xdr_long),\
SF(xdr_mapname),\
SF(xdr_netnamestr),\
SF(xdr_netobj),\
SF(xdr_opaque),\
SF(xdr_opaque_auth),\
SF(xdr_passwd),\
SF(xdr_peername),\
SF(xdr_pmap),\
SF(xdr_pmaplist),\
SF(xdr_pointer),\
SF(xdr_reference),\
SF(xdr_rejected_reply),\
SF(xdr_replymsg),\
SF(xdr_rmtcall_args),\
SF(xdr_rmtcallres),\
SF(xdr_short),\
SF(xdr_string),\
SF(xdr_u_char),\
SF(xdr_u_int),\
SF(xdr_u_long),\
SF(xdr_u_short),\
SF(xdr_union),\
SF(xdr_unixcred),\
SF(xdr_valdat),\
SF(xdr_vector),\
SF(xdr_void),\
SF(xdr_wrapstring),\
SF(xdr_yp_buf),\
SF(xdr_yp_inaddr),\
SF(xdr_ypbind_binding),\
SF(xdr_ypbind_resp),\
SF(xdr_ypbind_resptype),\
SF(xdr_ypbind_setdom),\
SF(xdr_ypdelete_args),\
SF(xdr_ypmap_parms),\
SF(xdr_ypmaplist),\
SF(xdr_ypmaplist_str),\
SF(xdr_yppasswd),\
SF(xdr_yppush_status),\
SF(xdr_yppushresp_xfr),\
SF(xdr_ypreq_key),\
SF(xdr_ypreq_nokey),\
SF(xdr_ypreq_xfr),\
SF(xdr_ypresp_all),\
SF(xdr_ypresp_all_seq),\
SF(xdr_ypresp_key_val),\
SF(xdr_ypresp_maplist),\
SF(xdr_ypresp_master),\
SF(xdr_ypresp_order),\
SF(xdr_ypresp_val),\
SF(xdr_ypstat),\
SF(xdr_ypupdate_args),\
SF(xdr_ypxfrstat),\
SF(xdrmem_create),\
SF(xdrrec_create),\
SF(xdrrec_endofrecord),\
SF(xdrrec_eof),\
SF(xdrrec_skiprecord),\
SF(xdrstdio_create),\
SF(xencrypt),\
SF(xprt_register),\
SF(xprt_unregister),\
SF(yp_all),\
SF(yp_bind),\
SF(yp_first),\
SF(yp_get_default_domain),\
SF(yp_maplist),\
SF(yp_master),\
SF(yp_match),\
SF(yp_next),\
SF(yp_order),\
SF(yp_unbind),\
SF(yp_update),\
SF(yperr_string),\
SF(ypprot_err),\
SF(ypresp_allfn),\
SF(ypresp_data)

#endif LIBC_SYMBOLS

