/* mutex - atomic mutex semaphore
 * (c)6.11.1999 by Marek Zelem
 */

#ifndef	_MUTEX_H
#define	_MUTEX_H
#include <sched.h>

/* mutex_tas - !=0 - wait */

#ifdef	i386
extern inline int mutex_tas( int *mutex )
{ int x;
	x=1;
	__asm__ __volatile__(
		"lock ; xchgl %0,%1"
		:"=r" (x)
		:"m" (*mutex), "0" (x)
		:"memory"
		);
	return(x);
}
extern inline void mutex_clr( int *mutex )
{	*mutex=0;
}
extern inline void mutex_set( int *mutex )
{	*mutex=1;
}
#elif bbb
#else
#error "Unsupprorted cpu"
#endif

#define	mutex_wait(m)	while( mutex_tas(m) )
#define	mutex_signal(m)	mutex_clr(m)

#endif	_MUTEX_H
