/* ionet_lib.h */
/* (c) by Marek Zelem */

#ifndef _IONET_LIB_H
#define	_IONET_LIB_H

/* iof_accept
 * accept from fd, create new io, ptr is new prototyp
 */
int iof_accept( io_t *io, int what, void *arg );

/* ionet_connect
 * create new io by prototyp, with rd & wr connected
 * to addr , port
 */
int ionet_connect( io_t *io, io_t *prototyp, unsigned int addr, int port );

/* ionet_bind
 * create new io accepting on port port, which create new io by prototyp,
 * with rd & wr socket.
 */
int ionet_bind( io_t *io, io_t *prototyp, int port );


#endif	_IONET_LIB_H

